Summary:	Tamil TTF fonts (Unicode encoded)
Name:		fonts-ttf-tamil
Version:	1.1
Release:	2mdk

Url:		http://www.tamil.net/tscii/tools.html#fonts
# from http://groups.yahoo.com/group/tamilinix/files/
# the suitability for free distribution has been checked by
# Thuraiappah Vaseeharan <t_vasee@yahoo.com>
Source0:	tsc-avarangal.tar.bz2
Source1:	tscii-bitmap.tar.bz2
Source2:	tamil_opentype_fonts.tar.bz2

License:	Free
Group:		System/Fonts/True type
BuildArch:	noarch
BuildRoot:	%_tmppath/%name-%version-%release-root
BuildRequires:	freetype-tools
Prereq:		%_sbindir/chkfontpath

%description
Tamil TTF fonts usable to display Unicode encoded text; through text
engines like pango etc.

%package -n fonts-ttf-tscii
Url:		http://www.geocities.com/avarangal/
Summary:		Tamil TTF fonts (TSCII encoded)
Group:		System/Fonts/True type	
PreReq:		chkfontpath

%description -n fonts-ttf-tscii
Tamil TTF fonts in TSCII encoding.
Those fonts present themselves as covering western (cp1252) character set,
which is wrong, but currently the only way to make Tamil TSCII work.

%package -n fonts-bitmap-tscii
Summary:	Tamil Bitmap fonts
Group:		System/Fonts/X11 bitmap
License:	GPL
PreReq:		chkfontpath

%description -n fonts-bitmap-tscii
Tamil bitmap fonts for X11 in TSCII encoding 


%prep

%setup -q -T -c -a0 -a1 -a2
 
%build

cp tsc-avarangal/README README.avarangal
cp tamil_opentype_fonts/README README.TSCu

%install
rm -fr %buildroot

install -d %buildroot/%_datadir/fonts/ttf/tamil/
install -m 0644 tamil_opentype_fonts/*.ttf %buildroot/%_datadir/fonts/ttf/tamil
install -d %buildroot/%_datadir/fonts/ttf/tscii/
install -m 0644 tsc-avarangal/*.ttf %buildroot/%_datadir/fonts/ttf/tscii
install -d %buildroot/%_datadir/fonts/bitmap/tscii/
install -m 0644 tscii-bitmap/*.gz %buildroot/%_datadir/fonts/bitmap/tscii
install -m 0644 tscii-bitmap/fonts.dir %buildroot/%_datadir/fonts/bitmap/tscii

(
cd %buildroot/%_datadir/fonts/ttf/tamil
fc-cache . || touch fonts.cache-1
)

(
cd %buildroot/%_datadir/fonts/ttf/tscii
# ttmkfdir can't be used as we need special names
cat << EOF > fonts.scale
15
tscavai.ttf -misc-TSC_Avarangal-medium-i-normal--0-0-0-0-p-0-tscii-0
tscavai.ttf -misc-TSC_Avarangal-medium-i-normal--0-0-0-0-p-0-iso8859-1
tscavai.ttf -misc-TSC_Avarangal-medium-i-normal--0-0-0-0-p-0-iso10646-1
tscavaf.ttf -misc-TSC_AvarangalFxd-medium-r-normal--0-0-0-0-m-0-tscii-0
tscavaf.ttf -misc-TSC_AvarangalFxd-medium-r-normal--0-0-0-0-m-0-iso8859-1
tscavaf.ttf -misc-TSC_AvarangalFxd-medium-r-normal--0-0-0-0-m-0-iso10646-1
tscavabi.ttf -misc-TSC_Avarangal-bold-i-normal--0-0-0-0-p-0-tscii-0
tscavabi.ttf -misc-TSC_Avarangal-bold-i-normal--0-0-0-0-p-0-iso8859-1
tscavabi.ttf -misc-TSC_Avarangal-bold-i-normal--0-0-0-0-p-0-iso10646-1
tscavab.ttf -misc-TSC_Avarangal-bold-r-normal--0-0-0-0-p-0-tscii-0
tscavab.ttf -misc-TSC_Avarangal-bold-r-normal--0-0-0-0-p-0-iso8859-1
tscavab.ttf -misc-TSC_Avarangal-bold-r-normal--0-0-0-0-p-0-iso10646-1
tscava.ttf -misc-TSC_Avarangal-medium-r-normal--0-0-0-0-p-0-tscii-0
tscava.ttf -misc-TSC_Avarangal-medium-r-normal--0-0-0-0-p-0-iso8859-1
tscava.ttf -misc-TSC_Avarangal-medium-r-normal--0-0-0-0-p-0-iso10646-1
EOF
cp fonts.scale fonts.dir
fc-cache . || touch fonts.cache-1
) 

(
cd %buildroot/%_datadir/fonts/bitmap/tscii
# just to be sure that an mkfontdir won't rewrite it
cp fonts.dir fonts.scale
fc-cache . || touch fonts.cache-1
)

%post -n fonts-ttf-tamil
%{_bindir}/fc-cache %{_datadir}/fonts/ 

%post -n fonts-ttf-tscii
if [ -x %_sbindir/chkfontpath ]; then
   %_sbindir/chkfontpath -q -a %_datadir/fonts/ttf/tscii
else
   echo "You don't have a chkfontpath utility; you will need to manually"
   echo "Install the fonts into your TTF enabled font server"
fi
%{_bindir}/fc-cache %{_datadir}/fonts/ 

%post -n fonts-bitmap-tscii
if [ -x %_sbindir/chkfontpath ]; then
   %_sbindir/chkfontpath -q -a %_datadir/fonts/bitmap/tscii
else
   echo "You don't have a chkfontpath utility; you will need to manually"
   echo "Install the fonts into your TTF enabled font server"
fi
%{_bindir}/fc-cache %{_datadir}/fonts/ 

%postun -n fonts-ttf-tamil
# 0 means a real uninstall
if [ "$1" = "0" ]; then
   %{_bindir}/fc-cache %{_datadir}/fonts/ 
fi

%postun -n fonts-ttf-tscii
# 0 means a real uninstall
if [ "$1" = "0" ]; then
   [ -x %_sbindir/chkfontpath ] && \
   %_sbindir/chkfontpath -q -r %_datadir/fonts/ttf/tscii
   %{_bindir}/fc-cache %{_datadir}/fonts/ 
fi

%postun -n fonts-bitmap-tscii
# 0 means a real uninstall
if [ "$1" = "0" ]; then
   [ -x %_sbindir/chkfontpath ] && \
   %_sbindir/chkfontpath -q -r %_datadir/fonts/bitamp/tscii
   %{_bindir}/fc-cache %{_datadir}/fonts/ 
fi

%clean
rm -fr %buildroot

%files
%defattr(0644,root,root,0755)
%doc tamil_opentype_fonts/README
%dir %_datadir/fonts/
%dir %_datadir/fonts/ttf/
%dir %_datadir/fonts/ttf/tamil/
%_datadir/fonts/ttf/tamil/*.ttf
%_datadir/fonts/ttf/tamil/fonts.cache-1

%files -n fonts-ttf-tscii 
%defattr(0644,root,root,0755)
%doc README.avarangal
%dir %_datadir/fonts/ttf/tscii/
%_datadir/fonts/ttf/tscii/*.ttf
%config(noreplace) %_datadir/fonts/ttf/tscii/fonts.dir
%config(noreplace) %_datadir/fonts/ttf/tscii/fonts.scale
%_datadir/fonts/ttf/tscii/fonts.cache-1

%files -n fonts-bitmap-tscii
%defattr(0644,root,root,0755)
%doc tscii-bitmap/README
%dir %_datadir/fonts/bitmap/
%dir %_datadir/fonts/bitmap/tscii/
%_datadir/fonts/bitmap/tscii/*.gz
%config(noreplace) %_datadir/fonts/bitmap/tscii/fonts.dir
%config(noreplace) %_datadir/fonts/bitmap/tscii/fonts.scale
%_datadir/fonts/bitmap/tscii/fonts.cache-1

%changelog
* Fri Jul 25 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.1-2mdk
- rebuild
- fix no-prereq-on chkconfig (rpmlint)

* Tue Feb 18 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 1.1-1mdk
- added OpenType fonts
- proper use of fc-cache

* Fri Aug 30 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0-3mdk
- oops, forgot to add the fontpath to xfs...

* Sat Aug 23 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0-3mdk
- including bold and italic versions

* Fri Aug 22 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0-2mdk
- added URL tag
- removed TTF of unknown licensing; keeping only those for which we
  have explicit permission granted

* Wed Aug 21 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0-1mdk
- first released
- splitted in three packages: ttf-tscii, ttf-tamil (unicode based) and bitmap;
  so users can install only what they want/need
